Skip to main content
GET
/
v1
/
jettons
/
{address}
/
markets
/
{poolAddress}
/
price
/
ticks
getJettonMarketPriceHistory
curl --request GET \
  --url https://api.dyor.io/v1/jettons/{address}/markets/{poolAddress}/price/ticks
import requests

url = "https://api.dyor.io/v1/jettons/{address}/markets/{poolAddress}/price/ticks"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.dyor.io/v1/jettons/{address}/markets/{poolAddress}/price/ticks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "value": {
        "counterpart": {
          "value": "1000500000",
          "decimals": 9
        },
        "ton": {
          "value": "1000500000",
          "decimals": 9
        },
        "usd": {
          "value": "1000500000",
          "decimals": 9
        }
      },
      "time": "2023-11-07T05:31:56Z",
      "timeLt": "<string>"
    }
  ],
  "next": "<string>"
}
{
"code": 3,
"message": "invalid value",
"details": []
}
{
"code": 5,
"message": "not found",
"details": []
}
{
"code": 8,
"message": "too many requests",
"details": []
}
{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}

Path Parameters

address
string
required

Jetton address

Example: EQCQZpelevHNsbw5IUtwSa4Cs8kqWww0KsYeDri9kwS18eCz

poolAddress
string
required

Market liquidity pool address

Example: EQBYsz1HIQdap8acCZZJsNlySx4riy9IqfNC66a8NWU5igPZ

Query Parameters

limit
integer<int64>

Default value: 20

Max value: 1000

cursor
string

Cursor to paginate list

Should be set by value from response field next

from
string<date-time>
to
string<date-time>

Response

A successful response.

items
object[]
next
string

If the field is empty or not exists there's no next page